X
Tap here to go to the mobile version of the site.

Support Forum

Where can I find the system requirements for each version of firefox. I would like to know which version of Firefox is best for my 6-8 year old computer with AMD Sempron 2500+ 1,75 GHz and 512 RAM.

Posted

I tried to find information of that very hard in your pages but missed. Is it possible to have system requirements somethere in firefox homepages? I don't want to try a newer version and then have a hard fishing of the earlier version which works.

I tried to find information of that very hard in your pages but missed. Is it possible to have system requirements somethere in firefox homepages? I don't want to try a newer version and then have a hard fishing of the earlier version which works.

Additional System Details

Installed Plug-ins

  • np-mswmp
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.1
  • Default Plug-in
  • Google Update
  • Shockwave Flash 10.0 r12
  • 4.0.60831.0
  • Version 1.1.5, copyright 1996-2010 The VideoLAN Teamhttp://www.videolan.org/
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.0
  • Java(TM) Platform SE binary
  • Next Generation Java Plug-in 1.6.0_20 for Mozilla browsers
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Npdsplay dll
  • DRM Store Netscape Plugin
  • DRM Netscape Network Object

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; fi; rv:1.9.2.24) Gecko/20111103 Firefox/3.6.24

More Information

Swarnava Sengupta
  • Locale Leader
493 solutions 3273 answers

Helpful Reply

Just change the version number of following links like this * http://www.mozilla.org/en-US/firefox/3.6/system-requirements/ * http://www.mozilla.org/en-US/firefox/7.0/system-requirements/ * http://www.mozilla.org/en-US/firefox/5.0/system-requirements/ * http://www.mozilla.org/en-US/firefox/8.0/system-requirements/